summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorNick Mathewson <nickm@torproject.org>2019-08-01 14:01:43 -0400
committerNick Mathewson <nickm@torproject.org>2019-08-01 14:01:43 -0400
commitfa60fee8d56af01f6fefca17f945bdd00d195571 (patch)
treea70bf3e46a529bb48c5a926f315184b2a42f36f3 /scripts
parent5d98b54725efb15e904ea7abacdfe85da2a82bc5 (diff)
downloadtor-fa60fee8d56af01f6fefca17f945bdd00d195571.tar.gz
tor-fa60fee8d56af01f6fefca17f945bdd00d195571.zip
practracker: Add unit tests to test script, and test script to makefile
This makes all of the practracker tests get run by make check, and hence by our CI. Closes ticket 31304.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/maint/practracker/test_practracker.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/scripts/maint/practracker/test_practracker.sh b/scripts/maint/practracker/test_practracker.sh
index 590525660b..c7be227702 100755
--- a/scripts/maint/practracker/test_practracker.sh
+++ b/scripts/maint/practracker/test_practracker.sh
@@ -29,6 +29,10 @@ run_practracker() {
"${DATA}/" "$@";
}
+echo "unit tests:"
+
+"${PYTHON:-python}" "${PRACTRACKER_DIR}/practracker_tests.py" || exit 1
+
echo "ex0:"
run_practracker --exceptions "${DATA}/ex0.txt" > "${TMPDIR}/ex0-received.txt"